<template>
  <div>
    <div class="rating rating-click">
      <input
        :id="`rating-input-${albumId}-5`"
        type="radio"
        class="rating-input"
        :name="`rating-input-${albumId}-5`"
        value="5"
        @click="setRate(albumId, $event.target.value)"
      />
      <label
        :for="`rating-input-${albumId}-5`"
        class="icon icon-star rating-star"
      ></label
      ><input
        :id="`rating-input-${albumId}-4`"
        type="radio"
        class="rating-input"
        :name="`rating-input-${albumId}-4`"
        value="4"
        @click="setRate(albumId, $event.target.value)"
      />
      <label
        :for="`rating-input-${albumId}-4`"
        class="icon icon-star rating-star"
      ></label>
      <input
        :id="`rating-input-${albumId}-3`"
        type="radio"
        class="rating-input"
        :name="`rating-input-${albumId}-3`"
        value="3"
        @click="setRate(albumId, $event.target.value)"
      />
      <label
        :for="`rating-input-${albumId}-3`"
        class="icon icon-star rating-star"
      ></label>
      <input
        :id="`rating-input-${albumId}-2`"
        type="radio"
        class="rating-input"
        :name="`rating-input-${albumId}-2`"
        value="2"
        @click="setRate(albumId, $event.target.value)"
      />
      <label
        :for="`rating-input-${albumId}-2`"
        class="icon icon-star rating-star"
      ></label>
      <input
        :id="`rating-input-${albumId}-1`"
        type="radio"
        class="rating-input"
        :name="`rating-input-${albumId}-1`"
        value="1"
        @click="setRate(albumId, $event.target.value)"
      />
      <label
        :for="`rating-input-${albumId}-1`"
        class="icon icon-star rating-star"
      ></label>
    </div>
  </div>
</template>

<script>
export default {
  name: 'RatingClick',
  props: {
    albumId: {
      type: String,
      required: true
    }
  },
  methods: {
    async setRate(albumId, rating) {
      await this.$api.setAlbumRate(albumId, rating)
    }
  }
}
</script>

<style lang="scss" scoped>
.rating {
  display: flex;
  align-items: center;
  .icon-star {
    margin-right: 5px;
    color: #d7d7d7;
    line-height: 26px;
    &_on {
      color: #ffc62a;
    }
  }

  &-click {
    flex-direction: row-reverse;
    justify-content: flex-end;
  }

  &_count {
    color: #808080;
  }
  &-input {
    visibility: hidden;
    opacity: 0;
  }
}
.rating-click {
  justify-content: center;
  .rating-star {
    @include font-size(31);
  }
}

@include screen-size(xl) {
  .rating-click {
    .rating-star {
      @include font-size(20);
    }
  }
}
.rating-star {
  @include transition(color 0.2s);
  cursor: pointer;
}
.rating-star:hover,
.rating-star:hover ~ .rating-star,
.rating-input:checked ~ .rating-star {
  color: #ffc62a;
}
.rating:hover .rating-star:hover,
.rating:hover .rating-star:hover ~ .rating-star,
.rating-input:checked ~ .rating-star {
  color: #ffc62a;
}
.rating-star,
.rating:hover .rating-star {
  color: #d7d7d7;
}
</style>
